function [ out ] = RotFig( skel, m )
%ROTFIG Summary of this function goes here
%   Detailed explanation goes here

MotionData.data{1} =  m;
MotionData.skel = skel;
MotionData.mean = 0;
MotionData.std = 0;
MotionData.batchdata = [];
MotionData.minibatch = [];
MotionData.batchdataindex = [];
MotionData.dropRate=4;
MotionData.batchsize = 100;

MotionData = preprocess1(MotionData);
MotionData = Prep_RemoveEmpty(MotionData,0);
MotionData = Prep_MiniBatch(MotionData,3);


GenLog.visible = MotionData.batchdata;

GenLog = Post_AddEmpty(GenLog, MotionData,0);
GenLog = postprocess2(GenLog, MotionData);

out = GenLog.postvis;

end

